# Class SignContractRequest

#### Hierarchy

- unknown
  - SignContractRequest

- Defined in src/protobuf/pb_pb.d.ts:1163
- Defined in src/protobuf/pb_pb.d.ts:1200

#####
Index

### Constructors

constructor

### Methods

getAccountAgeWitnessSignatureOfDepositHash
getAccountAgeWitnessSignatureOfDepositHash_asB64
getAccountAgeWitnessSignatureOfDepositHash_asU8
getAccountId
getCurrentDate
getDepositTxHash
getPaymentAccountPayloadHash
getPaymentAccountPayloadHash_asB64
getPaymentAccountPayloadHash_asU8
getPayoutAddress
getTradeId
getUid
serializeBinary
setAccountAgeWitnessSignatureOfDepositHash
setAccountId
setCurrentDate
setDepositTxHash
setPaymentAccountPayloadHash
setPayoutAddress
setTradeId
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SignContractRequest(): SignContractRequest

- #### Returns SignContractRequest

  Inherited from jspb.Message.constructor

## Methods

### getAccountAgeWitnessSignatureOfDepositHash

- getAccountAgeWitnessSignatureOfDepositHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1187

### getAccountAgeWitnessSignatureOfDepositHash_asB64

- getAccountAgeWitnessSignatureOfDepositHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1189

### getAccountAgeWitnessSignatureOfDepositHash_asU8

- getAccountAgeWitnessSignatureOfDepositHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1188

### getAccountId

- getAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1173

### getCurrentDate

- getCurrentDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1170

### getDepositTxHash

- getDepositTxHash(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1184

### getPaymentAccountPayloadHash

- getPaymentAccountPayloadHash(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1176

### getPaymentAccountPayloadHash_asB64

- getPaymentAccountPayloadHash_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1178

### getPaymentAccountPayloadHash_asU8

- getPaymentAccountPayloadHash_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1177

### getPayoutAddress

- getPayoutAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1181

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1164

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1167

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1192

### setAccountAgeWitnessSignatureOfDepositHash

- setAccountAgeWitnessSignatureOfDepositHash(value: string | Uint8Array): SignContractRequest

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignContractRequest

  - Defined in src/protobuf/pb_pb.d.ts:1190

### setAccountId

- setAccountId(value: string): SignContractRequest

- #### Parameters

  - ##### value: string

  #### Returns SignContractRequest

  - Defined in src/protobuf/pb_pb.d.ts:1174

### setCurrentDate

- setCurrentDate(value: number): SignContractRequest

- #### Parameters

  - ##### value: number

  #### Returns SignContractRequest

  - Defined in src/protobuf/pb_pb.d.ts:1171

### setDepositTxHash

- setDepositTxHash(value: string): SignContractRequest

- #### Parameters

  - ##### value: string

  #### Returns SignContractRequest

  - Defined in src/protobuf/pb_pb.d.ts:1185

### setPaymentAccountPayloadHash

- setPaymentAccountPayloadHash(value: string | Uint8Array): SignContractRequest

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignContractRequest

  - Defined in src/protobuf/pb_pb.d.ts:1179

### setPayoutAddress

- setPayoutAddress(value: string): SignContractRequest

- #### Parameters

  - ##### value: string

  #### Returns SignContractRequest

  - Defined in src/protobuf/pb_pb.d.ts:1182

### setTradeId

- setTradeId(value: string): SignContractRequest

- #### Parameters

  - ##### value: string

  #### Returns SignContractRequest

  - Defined in src/protobuf/pb_pb.d.ts:1165

### setUid

- setUid(value: string): SignContractRequest

- #### Parameters

  - ##### value: string

  #### Returns SignContractRequest

  - Defined in src/protobuf/pb_pb.d.ts:1168

### toObject

- toObject(includeInstance?: boolean): SignContractRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SignContractRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1193

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignContractRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignContractRequest

  - Defined in src/protobuf/pb_pb.d.ts:1196

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignContractRequest, reader: BinaryReader): SignContractRequest

- #### Parameters

  - ##### message: SignContractRequest

  - ##### reader: BinaryReader

  #### Returns SignContractRequest

  - Defined in src/protobuf/pb_pb.d.ts:1197

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SignContractRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SignContractRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1195

### `Static` toObject

- toObject(includeInstance: boolean, msg: SignContractRequest): SignContractRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignContractRequest

  #### Returns SignContractRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1194

Generated using TypeDoc